#!/bin/bash
case ${USER} in
bruno | domingos | dalmiro)
    WELCOME_STR="Bem-vindo ao BIFROST,"
    ;;
ugur)
    WELCOME_STR="BIFROST'a hosgeldin"
    ;;
ubuntu)
    WELCOME_STR="Uyemukelwa kwi-BIFROST,"
    ;;
piers)
    WELCOME_STR="Nau mai ki te BIFROST,"
    ;;
matteo)
    WELCOME_STR="Benvenuto in BIFROST,"
    ;;
digvijay)
    WELCOME_STR="Bifrost में आपका स्वागत है, दिग्विजय!"
    ;;
*)
    WELCOME_STR="Welcome to the BIFROST,"
    ;;
esac
echo "##############################################################################"
figlet -f slant $WELCOME_STR ${USER^}!
echo ""
echo "##############################################################################"
echo "To connect to Openstack, run:"
echo "$ source {{ shared_config_dir }}/openrc.sh"
echo "and follow the prompts."
echo ""
if [ -z $SSH_AUTH_SOCK ]; then
    echo "WARNING: SSH Agent forwarding unsuccessful - you may struggle connecting to the servers."
fi
echo "##############################################################################"
echo "These repos and configs are currently available on the BIFROST. To access, run"
echo "cd {{ shared_dir }}"
echo "##############################################################################"
tree -L 2 {{ shared_dir }}
echo "##############################################################################"
export KUBECONFIG_SAVED=$KUBECONFIG
export KUBECONFIG={{ shared_config_dir }}/syscore_kubeconfig
echo "KUBECONFIG has been set to connect to syscore"
echo "using {{ shared_config_dir }}/syscore_kubeconfig:"
source <(kubectl completion bash)
kubectl config view | grep server
